const TaskBase = require("../task.base");
var system = require("../../system")
const logCtl = system.getObject("web.oplogCtl");
class TmAuditDataTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(TmAuditDataTask));
    this.utilstmtasktradeSve = system.getObject("service.utilstmtasktradeSve");
  }
  async subDoTask() {
    await this.execTj();
  }
  async execTj() {
    console.log("商标交易入ES操作*******************************任务*************************************99");
    var tmp = await this.utilstmtasktradeSve.opAuditData();
    //日志记录
    logCtl.info({
      optitle: "商标交易入ES操作服务执行结果",
      op: "/igirl-web/app/base/db/task/TmAuditDataTask.js",
      content: "执行结果：" + JSON.stringify(tmp),
      clientIp: ""
    });
  }
}
module.exports = TmAuditDataTask;

//
// var task=new PlatformBalanceTask();
// task.checkPlatformBalance().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });
